reduce(1)

Name
reduce - Given a rewriting system, rewrites a word, reducing it to Normal Form.

Syntax

    reduce [inputfile]

Options

inputfile
    the groups complete rewriting system file that conforms to the Geometry Group Standard format (including finite state automata), and in particular should be of the form outputted by kbeqn or cfsa - that is, we can just use the output from kbeqn as the input to our program. If no file name is given Standard Input is used.

Usage
Given a group and its complete rewriting system including finite state automata (the inputfile), reduce will ask you for a word to be rewritten. The word should be entered with a space between generators, followed by a return. The output shows the initial word, followed by the reduce word.

Example
Resulting output from a run may look something like
        The initial word: dcba
        The reduced word: abcddef

See also
cfsa(1) kbeqn(1) kbeqn2(1)

Author
Jamie P. Curmi (17/8/94) for the Computational Tools for Homolgy of Groups Project